Bug 1572611

Summary: opencv-3.4.4 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: opencvAssignee: Nicolas Chauvet (kwizart) <kwizart>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: andrew, hhorak, jmlich83, jridky, karlthered, kwizart, rakesh.pandit, sergio, viktor.vix.jancik
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-10 15:16:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Upstream Release Monitoring 2018-04-27 12:19:03 UTC
Latest upstream release: 3.4.1-cvsdk
Current version/release in rawhide: 3.4.1-3.fc29
URL: http://opencv.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6615/

Comment 1 Upstream Release Monitoring 2018-07-05 00:20:39 UTC
Latest upstream release: 3.4.2-openvino
Current version/release in rawhide: 3.4.1-3.fc29
URL: http://opencv.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6615/

Comment 2 Sergio Basto 2018-09-27 15:16:12 UTC
Do we need rebuild packages that depended on opencv [1] ? 

[1]
https://taskotron.fedoraproject.org/artifacts/all/a91339ea-c218-11e8-8509-525400fc9f92/tests.yml/opencv-3.4.3-1.fc29.log

Comment 3 Sergio Basto 2018-12-01 13:41:39 UTC
(In reply to Sergio Monteiro Basto from comment #2)
> Do we need rebuild packages that depended on opencv [1] ? 
> 
> [1]
> https://taskotron.fedoraproject.org/artifacts/all/a91339ea-c218-11e8-8509-
> 525400fc9f92/tests.yml/opencv-3.4.3-1.fc29.log

I mean we have: [1] may I update it on F29 and F28 ( also opencv-3.4 ) ? 



[1]

* Incompatible ABI changes between:
opencv-core-3.4.1-6.fc29.x86_64.rpm
opencv-core-3.4.3-1.fc29.x86_64.rpm

= changes of 'libopencv_imgproc.so.3.4.1
Function symbols changes summary: 3 Removed, 7 Added
Variable symbols changes summary: 0 Removed, 0 Added

changes of 'libopencv_core.so.3.4.
  Functions changes summary: 0 Removed, 0 Changed, 0 Added function
  Variables changes summary: 0 Removed, 0 Changed, 0 Added variable
  Function symbols changes summary: 2 Removed, 35 Added function symbols not referenced by debug info
  Variable symbols changes summary: 0 Removed, 0 Added variable symbol not referenced by debug info

Comment 4 Nicolas Chauvet (kwizart) 2018-12-01 14:41:15 UTC
(In reply to Sergio Monteiro Basto from comment #3)
> (In reply to Sergio Monteiro Basto from comment #2)
> > Do we need rebuild packages that depended on opencv [1] ? 
> > 
> > [1]
> > https://taskotron.fedoraproject.org/artifacts/all/a91339ea-c218-11e8-8509-
> > 525400fc9f92/tests.yml/opencv-3.4.3-1.fc29.log
> 
> I mean we have: [1] may I update it on F29 and F28 ( also opencv-3.4 ) ? 

In theory, there is an ABI break so it's forbidden by the guidelines.
Please keep the update in rawhide and rebuild dependencies there (and close that issue).